Skip to main content
GET
/
v1
/
groups
/
{groupId}
/
users
List Group Users
curl --request GET \
  --url https://api.us.lexful.app/v1/groups/{groupId}/users \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Account-ID: <api-key>'
import requests

url = "https://api.us.lexful.app/v1/groups/{groupId}/users"

headers = {
"Authorization": "Bearer <token>",
"X-Account-ID": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Account-ID': '<api-key>'}
};

fetch('https://api.us.lexful.app/v1/groups/{groupId}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
      "name": "John Doe",
      "created_at": "2024-01-27T12:00:00.000Z",
      "created_by": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
    },
    {
      "id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
      "name": "jane.smith@example.com",
      "created_at": "2024-01-27T13:30:00.000Z",
      "created_by": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
    }
  ],
  "total": 2
}
{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}
{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}
{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}
{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token

X-Account-ID
string
header
required

Account ID

Path Parameters

groupId
string<uuid>
required

Group ID

Response

Default Response

items
object[]
required

Array of users in this group with membership details

total
number
required

Total number of users